Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jain.protocol.ss7.oam
Class OamStatisticNotification

    java.lang.Object
      |
      +--java.util.EventObject
            |
            +--javax.management.Notification
                  |
                  +--jain.protocol.ss7.oam.OamStatisticNotification

Direct Known Subclasses:
  Mtp2StatisticNotification, Mtp3StatisticNotification, SccpStatisticNotification, TcapStatisticNotification

public abstract class OamStatisticNotification
extends Notification
implements java.io.Serializable, java.lang.Cloneable

An OamStatisticNotification is a Notification emitted by a JAIN OAM Managed Bean(MBean) to indicate a statistic measurement of a specified MBean.

The Notification class extends the java.util.EventObject base class and defines the minimal information contained in a notification. It contains the following fields:

the notification type, which is a string expressed in a dot notation similar to Java properties.

a sequence number, which is a serial number identifying a particular instance of notification in the context of the notification source

a time stamp, indicating when the notification was generated

a message contained in a string, which could be the explanation of the notification for displaying to a user

userData is used for whatever other data the notification source wishes to communicate to its consumers

Notification sources should use the notification type to indicate the nature of the event to their consumers. When additional information needs to be transmitted to consumers, the source may place it in the message or user data fields.

The purpose of management is to provide a service, and this can be classified as initial provisioning, maintaining existing service, and expansion or contraction of the service. OSI defines the categories of fault management, configuration management, performance management, accounting management and security management. Of these, the first three categories will be supported by this release of JAIN OAM API Specification.

Inheritance hierarchy for JAIN OAM Notification

Version:
  1.1
Author:
  Colm Hayden
See Also:
  Serialized Form

Field Summary
`static int` | `CATEGORY_CONFIGURATION` A Statistic Category constant: Configuration management controls the resources of, and collects and provides data for, the signaling network and its components.
`static int` | `CATEGORY_FAULT` A Statistic Category constant: Fault management encompasses fault detection, location, isolation and the correction of abnormal operation of the SS7 network.
`static int` | `CATEGORY_PERFORMANCE` A Statistic Category constant: This enables the behavior of network resources and the effectiveness of communication activities in the network to be evaluated.

Method Summary
`int` | `getCategory()` Returns the category of this OamStatisticNotification.
`int` | `getStatisticType()` Returns the Type of this Statistic
`int` | `getStatisticValue()` Returns the value of the statistic being sent in this Statistic Notification.
`void` | `setCategory(int category)` Returns the category of this OamStatisticNotification.
`void` | `setStatisticValue(int statisticValue)` Sets the value of the statistic being sent in this Statistic Notification.

Methods inherited from class javax.management.Notification
`getMessage, getSequenceNumber, getSource, getTimeStamp, getType, getUserData, setSource, setUserData`

Methods inherited from class java.util.EventObject
`toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### CATEGORY_FAULT

    public static final int CATEGORY_FAULT

  A Statistic Category constant: Fault management encompasses fault detection, location, isolation and the correction of abnormal operation of the SS7 network. Correction of faults can in some instances require fault diagnosis. Faults can cause the network to fail to meet operational objectives (e.g. visible faults might reduce the network's traffic capacity, latent faults would reduce the network's reliability).

### CATEGORY_CONFIGURATION

    public static final int CATEGORY_CONFIGURATION

  A Statistic Category constant: Configuration management controls the resources of, and collects and provides data for, the signaling network and its components. This facilitates the preparation for, and initialization of, signaling services, and allows such services to be started, continued, and stopped.

### CATEGORY_PERFORMANCE

    public static final int CATEGORY_PERFORMANCE

  A Statistic Category constant: This enables the behavior of network resources and the effectiveness of communication activities in the network to be evaluated.

Method Detail

### setCategory

    public void setCategory(int category)
                     throws java.lang.IllegalArgumentException

  Returns the category of this OamStatisticNotification.
  Returns:
    one of the following:

    - CATEGORY_FAULT
    - CATEGORY_CONFIGURATION
    - CATEGORY_PERFORMANCE
  Throws:
    java.lang.IllegalArgumentException - - if the suplied category is not one of the defined types

### getCategory

    public int getCategory()

  Returns the category of this OamStatisticNotification.
  Returns:
    one of the following:

    - CATEGORY_FAULT
    - CATEGORY_CONFIGURATION
    - CATEGORY_PERFORMANCE

### setStatisticValue

    public void setStatisticValue(int statisticValue)

  Sets the value of the statistic being sent in this Statistic Notification.
  Parameters:
    `statisticValue` - the statistic value

### getStatisticValue

    public int getStatisticValue()

  Returns the value of the statistic being sent in this Statistic Notification.
  Returns:
    the statistic value

### getStatisticType

    public int getStatisticType()

  Returns the Type of this Statistic
  Returns:
    one of the statistic type values defined in any of the defined statistic types.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

11 August 2000

Copyright - 2000 Sun Microsystems